DescribeContactVersion
Describes a specific version of a contact.
Request Syntax
GET /contact/contactId/versions/versionId HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"contactId": "string",
"contactStatus": "string",
"dataflowList": [
{
"destination": {
"configDetails": { ... },
"configId": "string",
"configType": "string",
"dataflowDestinationRegion": "string"
},
"errorMessage": "string",
"source": {
"configDetails": { ... },
"configId": "string",
"configType": "string",
"dataflowSourceRegion": "string"
}
}
],
"endTime": number,
"ephemeris": {
"ephemerisId": "string",
"ephemerisType": "string"
},
"errorMessage": "string",
"groundStation": "string",
"maximumElevation": {
"unit": "string",
"value": number
},
"missionProfileArn": "string",
"postPassEndTime": number,
"prePassStartTime": number,
"region": "string",
"satelliteArn": "string",
"startTime": number,
"tags": {
"string" : "string"
},
"trackingOverrides": {
"programTrackSettings": { ... }
},
"version": {
"activated": number,
"created": number,
"failureCodes": [ "string" ],
"failureMessage": "string",
"lastUpdated": number,
"status": "string",
"superseded": number,
"versionId": number
},
"visibilityEndTime": number,
"visibilityStartTime": number
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- contactId
-
UUID of a contact.
Type: String
Length Constraints: Fixed length of 36.
Pattern:
[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12} - contactStatus
-
Status of a contact.
Type: String
Valid Values:
SCHEDULING | FAILED_TO_SCHEDULE | SCHEDULED | CANCELLED | AWS_CANCELLED | PREPASS | PASS | POSTPASS | COMPLETED | FAILED | AVAILABLE | CANCELLING | AWS_FAILED - dataflowList
-
List describing source and destination details for each dataflow edge.
Type: Array of DataflowDetail objects
- endTime
-
End time of a contact in UTC.
Type: Timestamp
- ephemeris
-
The ephemeris that determines antenna pointing directions for the contact.
Type: EphemerisResponseData object
- errorMessage
-
Error message for a contact.
Type: String
- groundStation
-
Ground station for a contact.
Type: String
- maximumElevation
-
Maximum elevation angle of a contact.
Type: Elevation object
- missionProfileArn
-
ARN of the contact's mission profile.
Type: String
Length Constraints: Minimum length of 89. Maximum length of 138.
Pattern:
arn:aws:groundstation:[-a-z0-9]{1,50}:[0-9]{12}:mission-profile/[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12} - postPassEndTime
-
End time in UTC of the post-pass period, at which you receive a CloudWatch event indicating the pass has finished.
Type: Timestamp
- prePassStartTime
-
Start time in UTC of the pre-pass period, at which you receive a CloudWatch event indicating an upcoming pass.
Type: Timestamp
- region
-
Region where the
ReserveContactAPI was called to schedule this contact.Type: String
- satelliteArn
-
ARN of a satellite.
Type: String
Length Constraints: Minimum length of 82. Maximum length of 132.
Pattern:
arn:aws:groundstation:([-a-z0-9]{1,50})?:[0-9]{12}:satellite/[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12} - startTime
-
Start time of a contact in UTC.
Type: Timestamp
-
Tags assigned to a contact.
Type: String to string map
- trackingOverrides
-
Tracking configuration overrides applied to this contact version. For the initial version, these are the overrides specified when the contact was reserved. For subsequent versions, these are the overrides associated with that specific version update.
Type: TrackingOverrides object
- version
-
Version information for a contact.
Type: ContactVersion object
- visibilityEndTime
-
Projected time in UTC your satellite will set below the receive mask. This time is based on the satellite's current active ephemeris for future contacts and the ephemeris that was active during contact execution for completed contacts.
Type: Timestamp
- visibilityStartTime
-
Projected time in UTC your satellite will rise above the receive mask. This time is based on the satellite's current active ephemeris for future contacts and the ephemeris that was active during contact execution for completed contacts.
Type: Timestamp
Errors
For information about the errors that are common to all actions, see Common Error Types.
- DependencyException
-
Dependency encountered an error.
- parameterName
-
Name of the parameter that caused the exception.
HTTP Status Code: 531
- InvalidParameterException
-
One or more parameters are not valid.
- parameterName
-
Name of the invalid parameter.
HTTP Status Code: 431
- ResourceNotFoundException
-
Resource was not found.
HTTP Status Code: 434
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: